Skip to content
Sections
>> Trisquel >> Packages >> nabia-security >> editors >> vim-gtk3
etiona  ] [  nabia  ] [  aramo  ] [  etiona-security  ] [  aramo-security  ] [  nabia-security  ] [  aramo-updates  ] [  nabia-updates  ] [  etiona-updates  ]
[ Source: vim  ]

Package: vim-gtk3 (2:8.1.2269-1ubuntu5.9)

Vi IMproved - enhanced vi editor - with GTK3 GUI

Vim is an almost compatible version of the UNIX editor Vi.

Many new features have been added: multi level undo, syntax highlighting, command line history, on-line help, filename completion, block operations, folding, Unicode support, etc.

This package contains a version of vim compiled with a GTK3 GUI and support for scripting with Lua, Perl, Python 3, and Tcl.

Other Packages Related to vim-gtk3

  • depends
  • recommends
  • suggests
  • dep: libacl1 (>= 2.2.23)
    Package not available
  • dep: libc6 (>= 2.29)
    GNU C Library: Shared libraries
    also a virtual package provided by libc6-udeb
  • dep: libcairo2 (>= 1.4.10)
    Package not available
  • dep: libcanberra0 (>= 0.2)
    Package not available
  • dep: libgdk-pixbuf2.0-0 (>= 2.22.0)
    GDK Pixbuf library
  • dep: libglib2.0-0 (>= 2.37.3)
    GLib library of C routines
  • dep: libgpm2 (>= 1.20.7)
    Package not available
  • dep: libgtk-3-0 (>= 3.21.5)
    Package not available
  • dep: libice6 (>= 1:1.0.0)
    Package not available
  • dep: liblua5.2-0
    Package not available
  • dep: libpango-1.0-0 (>= 1.37.5)
    Package not available
  • dep: libpangocairo-1.0-0 (>= 1.14.0)
    Package not available
  • dep: libperl5.30 (>= 5.30.0)
    shared Perl library
  • dep: libpython3.8 (>= 3.8.2)
    Shared Python runtime library (version 3.8)
  • dep: libselinux1 (>= 1.32)
    Package not available
  • dep: libsm6
    Package not available
  • dep: libtcl8.6 (>= 8.6.0)
    Package not available
  • dep: libtinfo6 (>= 6)
    Package not available
  • dep: libx11-6
    X11 client-side library
  • dep: libxt6
    Package not available
  • dep: vim-common (= 2:8.1.2269-1ubuntu5.9)
    Vi IMproved - Common files
  • dep: vim-gui-common (= 2:8.1.2269-1ubuntu5.9)
    Vi IMproved - Common GUI files
  • dep: vim-runtime (= 2:8.1.2269-1ubuntu5.9)
    Vi IMproved - Runtime files
  • sug: cscope
    Package not available
  • sug: fonts-dejavu
    Package not available
  • sug: gnome-icon-theme
    Package not available
  • sug: vim-doc
    Vi IMproved - HTML documentation

Download vim-gtk3

Download for all available architectures
Architecture Package Size Installed Size Files
amd64 1,423.1 kB3622 kB [list of files]
armhf 1,240.3 kB2406 kB [list of files]